////////////////////////////////////////////////////////////////
//
// file: TprintListThread.h
// Author: Kelvin Sung
// Date: April 2003
//
//
//  TprintListThread: a somewhat very simple thread that
//  	knows how to print TmyList
//
#ifndef TPRINT_LIST_THREAD_H
#define TPRINT_LIST_THREAD_H

#include "../List/TmyList.h"
#include "TthreadBase.h"

class TprintListThread : public TthreadBase {
	protected:
		TmyList		*fList;

	public:

				// Constructor
		TprintListThread(char *name, TmyList &list, int workTime) :
				TthreadBase(name, 0, workTime), fList(&list)
			{}

		const TmyList* GetList() const { return fList; }

		virtual void StartThread();
				// This will start the thread. Subclasses should
				// override this method to begin their own threads
				// 
};
#endif

